<html>
    <head></head>
    <body>
        <button onclick="zadacha1()">zadacha1</button>
        <button onclick="zadacha2()">zadacha2</button>
        <button onclick="zadacha3()">zadacha3</button>
        <button onclick="zadacha5()">zadacha5</button>
        <button onclick="zadacha6()">zadacha6</button>

        <script>

            function zadacha1(){
                let num1 = window.prompt('pervoe chislo bolshe');
                let num2 = window.prompt('vtoroe chislo bolshe');

                if (num1>num2){
                    alert(num1 + 'bolshe' + num2);
                }
                else if (num2>num1){
                    alert(num2 + 'bolshe' + num1);
                }
                else {
                    alert(num1 + 'and' + num2 + 'ravny');
                }
            }

            function zadacha2(){
                let a = window.prompt();
                let b = window.prompt();
                let c = window.prompt();

                if(a>0 && b>0 && c>0){
                    alert('znak +');
                }
                else if(a<0 && b<0 && c<0){
                    alert('znak -');
                }
                else if(a<0 && b<0 && c>0){
                    alert('znak +');
                }
                else if(a>0 && b<0 && c>0){
                    alert('znak -');
                }
                else{
                    alert('znak -');
                }
            }


                function zadacha3(){
                    
                    
                    let x = window.prompt();
                    let y = window.prompt();
                    let z = window.prompt();

                    let chisla = [];
                    
                    chisla.push(parseInt(x));
                    chisla.push(parseInt(y));
                    chisla.push(parseInt(z));

                    

                    chisla.sort(function(a, b){return a-b});
                    console.log(chisla)

                    for(let i=0; i<=3; i++){

                    }

                }


                /*
                for (let i = 0; i <= 15; i++){
                    if(i % 2 == 0){
                        console.log('chislo chetnoe:' +i);
                    }
                    else if(i % 2 == 1){
                        console.log('chislo ne chetnoe:' +i);
                    }
                }

                let students = [[david,80], [vinot,77], [divya,88], [ishita,95], [tomas,68]];
                let ocenka = 0;

                if(ocenka<60){
                   console.log('F');
                }
                else if(ocenka<70){
                    console.log('D');
                }
                else if(ocenka<80){
                    console.log('C');
                }
                else if(ocenka<90){
                    console.log('B');
                }
                else if(ocenka<100){
                    console.log('A');
                }

*/
                
            function zadacha6(){
                var students = [
                    {name: 'david', score: 80},
                    {name: 'vinot', score: 77},
                    {name: 'divya', score: 88},
                    {name: 'ishita', score: 95},
                    {name: 'tomas', score: 68}
                ];
                

                for (let i = 0; i < students.length; i++) {
                
                    let student = students[i];//{name:'',score:''}

                    if(student.score>60&&student.score<=70){
                        console.log(student.name+" got: F;");
                    }
                    else if(student.score>70&&student.score<=80){
                        console.log(student.name+" got: D;");
                    }
                    else if(student.score>80&&student.score<=90){
                        console.log(student.name+" got: B;");
                    }
                    else if(student.score>90&&student.score<=100){
                        console.log(student.name+" got: A;");
                    }
                    
                }
                
            }


        </script>
    </body>
</html>